//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "AboutBox.h"
//---------------------------------------------------------------------
#pragma resource "*.dfm"
TAboutBoxDlg *AboutBoxDlg;
//---------------------------------------------------------------------
__fastcall TAboutBoxDlg::TAboutBoxDlg(TComponent* AOwner)
	: TForm(AOwner)
{
}
//---------------------------------------------------------------------
void __fastcall TAboutBoxDlg::FormCreate(TObject *Sender)
{
	DWORD dwBufLen = GetFileVersionInfoSize(Application->ExeName.c_str(), NULL);
	if (!dwBufLen) return;
	char *pszBuf = new char[dwBufLen];

	try
    {
        VS_FIXEDFILEINFO *pstInfo;

		if (!GetFileVersionInfo(Application->ExeName.c_str(),
            0, dwBufLen, pszBuf)) return;

		if (!VerQueryValue(pszBuf, "\\", (void **)&pstInfo, (UINT *)&dwBufLen))
			return;

		Version->Caption = "Version " +
            AnsiString((pstInfo->dwProductVersionMS & 0xFFFF0000) >> 16)+ "." +
            AnsiString(pstInfo->dwProductVersionMS & 0x0000FFFF) +
            " (Build " +
            AnsiString(pstInfo->dwProductVersionLS) + ")";
	}
	__finally
    {
		delete[] pszBuf;
	}
}
//---------------------------------------------------------------------------
void __fastcall TAboutBoxDlg::EmailClick(TObject *Sender)
{
	ShellExecute(NULL, NULL, (AnsiString("mailto:") + Email->Caption).c_str(),
        NULL, NULL, SW_SHOW);
}
//---------------------------------------------------------------------------
void __fastcall TAboutBoxDlg::WebPageClick(TObject *Sender)
{
    ShellExecute(NULL, "open", "iexplore.exe",
        WebPage->Caption.c_str(), NULL, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------

