//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
    TLabel *Label1;
    TLabel *Label2;
    TLabel *Label3;
    TBevel *Bevel1;
    TEdit *GLVendor;
    TEdit *GLRenderer;
    TEdit *GLVersion;
    TGroupBox *GroupBox1;
    TListBox *ExtList;
    TButton *SaveBtn;
    TButton *CloseBtn;
    TButton *AboutBtn;
    TSaveDialog *SaveDialog;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall CloseBtnClick(TObject *Sender);
    void __fastcall SaveBtnClick(TObject *Sender);
    void __fastcall AboutBtnClick(TObject *Sender);
private:	// User declarations
    void __fastcall SetDCPixelFormat(HDC hdc);
public:		// User declarations
    __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
